plot.mat {sma} | R Documentation

## Red and Green Color Image of Data Matrix

### Description

This function produces a red and green color image of a data matrix using an RGB color specification. Larger entries are represented with reds of increasing intensity, and smaller entries are represented with greens of increasing intensity.

### Usage

    plot.mat(x, nrgcols=50, rlabels=FALSE, clabels=FALSE, rcols=1, ccols=1, title="",...)

### Arguments

`x` | a matrix of numbers.
`nrgcols` | the number of colors (>= 1) to be used in the red and green palette.
`rlabels` | vector of character strings to be placed at the row tickpoints, labels for the rows of `X`.
`clabels` | vector of character strings to be placed at the column tickpoints, labels for the columns of `X`.
`rcols` | colors to be used for the labels of the rows of `X`. `rcols` can have either length 1, in which case all the labels are displayed using the same color, or the same length as `rlabels`, in which case a color is specified for the label of each row of `X`.
`ccols` | colors to be used for the labels of the columns of `X`. `ccols` can have either length 1, in which case all the labels are displayed using the same color, or the same length as `clabels`, in which case a color is specified for the label of each column of `X`.
`title` | character string, overall title for the plot.
`...` | graphical parameters may also be supplied as arguments to the function (see `par`). E.g. `zlim=c(-3,3)`

### Author(s)

Sandrine Dudoit, sandrine@stat.berkeley.edu

### See Also

`plot.cor`, `rgcolors.func`, `cor.na`, `cor`, `image`, `rgb`.

### Examples

    data(MouseArray)
    ##mouse.setup <- init.grid()
    ##mouse.data <- init.data() ## see \emph{init.data}
    mouse.lratio <- stat.ma(mouse.data, mouse.setup)

    ## Looking at log ratios of mouse1
    plot.mat(spatial.func(mouse.lratio$M[,1], mouse.setup))

[Package sma version 0.5.14 Index]